%define name 	wireless-tools
%define version	30
%define pre	9
%define rel	2
%if %{pre}
%define release	%mkrel 0.pre%{pre}.%{rel}
%define src	wireless_tools.%{version}.pre%{pre}.tar.gz
%else
%define release	%mkrel %{rel}
%define src	wireless_tools.%{version}.tar.gz
%endif
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt HOTPLUG-UDEV.txt

Summary: Wireless ethernet configuration tools
Summary(de): Werkzeuge zum Bearbeiten der Linux Wireless-Erweiterungen
Group: System/Kernel and hardware
License: GPL
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/%{src}
Patch2: wireless_tools.27-wireless-man-upd.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts: man-pages-fr < 1.58.0-16mdk
Requires: %{lib_name} = %{version}-%{release}

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

#german
%description -l de
Dieses Paket enthält die Wireless-Werkzeuge, die zur Verwaltung der 
»Linux Wireless Extensions« benutzt werden.

Die Wireless-Erweiterung ist eine Schnittstelle, die das Setzen und 
Auslesen spezifischer Parameter eines Wireless-Lan ermöglichen. 

%package -n %{lib_name}
Summary: Wireless_tools library
Summary(de): Wireless_tools Bibliothek
Group: System/Libraries
Provides: %{lib_name_orig}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

#german
%description -n %{lib_name} -l de
Bibliotheken zum konfigurieren und verbinden von Wireless Schnittstellen. 

%package -n %{lib_name}-devel
Summary: Wireless_tools development library
Summary(de): Wireless_tools Entwicklerdateien
Group: Development/C
Provides: %{lib_name_orig}-devel
Requires: %{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains libraries and headers for use in developing
wireless tools.
#german
%description -n %{lib_name}-devel -l de
Entwicklerpaket zum erstellen von Anwendungen basierend auf das
Wireless_tools Paket.

%prep
%setup -q -n wireless_tools.%{version}
%patch2 -p0
chmod a+r %{docs}

%build

# (tpg) enable build shared library
sed -i -e 's/BUILD_STATIC =.*/# BUILD_STATIC =.*/g' Makefile
# (tpg) pass our flags
sed -i -e 's#CFLAGS=#CFLAGS+=#' Makefile

%make clean
%make "CFLAGS=$RPM_OPT_FLAGS -I."

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall \
	PREFIX=%{buildroot}%{_prefix} \
	INSTALL_LIB=%{buildroot}/%{_lib} \
	INSTALL_MAN=%{buildroot}%{_mandir} \
	INSTALL_DIR=%{buildroot}/sbin

mkdir -p %{buildroot}%{_libdir}
ln -sf ../../%{_lib}/libiw.so.%{version} %{buildroot}%{_libdir}/libiw.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%triggerpostun -- wireless-tools < 28-1.pre9.3mdk
[ -f /etc/iftab ] && sed -i -e s,mac_ieee1394,mac, /etc/iftab
:

%files
%defattr(-,root,root,0755)
%doc %{docs}
/sbin/*
%{_mandir}/man*/*
%lang(fr) %{_mandir}/fr.*/man*/*
%lang(cs) %{_mandir}/cs/man*/*

%files -n %{lib_name}
%defattr(-,root,root,0755)
/%{_lib}/libiw.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
/%{_lib}/libiw.so
%{_libdir}/libiw.so
%{_includedir}/iwlib.h
%{_includedir}/wireless.h


%changelog
* Fri Nov 23 2012 daniel <meisssw01 at gmail.com> 30-1leiche2012
- uptsream tarball
- added german description

* Tue Jan 19 2010 Texstar <texstar at gmail.com> 29-2pclos2010
- update for 2010 release

